common-lisp-controller (7.11) unstable; urgency=medium

  * Team upload.
  * Set Maintainer to debian-common-lisp@l.d.o.
  * Remove Vcs-* and Homepage fields. This package will not be migrated to
    Salsa, since it's scheduled for removal ASAP.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 08 Apr 2018 11:00:47 +0200

common-lisp-controller (7.10+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop dependency on realpath, part of coreutils now (Closes: #770310).
  * Drop redundant dependency on bash.
  * Lower debconf priority to low (Closes: #797795).

 -- Christoph Berg <myon@debian.org>  Sat, 14 Oct 2017 20:57:59 +0200

common-lisp-controller (7.10) unstable; urgency=low

  [ victory.deb@gmail.com ]
  * debian/po/ja.po
    + Add Japanese translation (Closes: #690786).

 -- Desmond O. Chang <dochang@gmail.com>  Thu, 25 Oct 2012 01:34:43 +0800

common-lisp-controller (7.9) unstable; urgency=low

  [ Desmond O. Chang ]
  * debian/control
    + update Standards-Version to 3.9.3
  * debian/compat
    + update to 9
  * debian/rules
    + add missing recommended targets "build-arch", "build-indep"

  [ Jeroen Schot ]
  * debian/po/nl.po
    + update Dutch translation (Closes: #652347).

  [ Michał Kułach ]
  * debian/po/pl.po
    + add Polish translation (Closes: #666443).

  [ Beatrice Torracca ]
  * debian/po/it.po
    + add Italian translation (Closes: #667804).

 -- Desmond O. Chang <dochang@gmail.com>  Wed, 11 Apr 2012 15:30:54 +0800

common-lisp-controller (7.8) unstable; urgency=low

  [ Joe Dalton ]
  * debian/po/da.po
    + add Danish translation (Closes: #624664).

 -- Desmond O. Chang <dochang@gmail.com>  Sun, 01 May 2011 05:39:16 +0800

common-lisp-controller (7.7) unstable; urgency=low

  [ Paulo Sequeira ]
  * debian/rules
    + add dh_link to create symlinks for manpages.

 -- Desmond O. Chang <dochang@gmail.com>  Thu, 13 Jan 2011 14:10:00 +0800

common-lisp-controller (7.6) unstable; urgency=low

  [ Luca Capello ]
  * debian/control:
    + remove myself from Uploaders:.

  [ Desmond O. Chang ]
  * move user management script from {preinst,postrm}
    to {postinst,prerm} (Closes: #606785).

 -- Desmond O. Chang <dochang@gmail.com>  Tue, 21 Dec 2010 20:16:04 +0800

common-lisp-controller (7.5) unstable; urgency=low

  * Correct source registry DSL (Closes: #599903).
  * debian/control:
    + depends on cl-asdf (>= 2:2.009-1)
    + Suggests: darcs for 'clc-clbuild setup' (Closes: #578740).

 -- Desmond O. Chang <dochang@gmail.com>  Wed, 24 Nov 2010 20:37:16 +0800

common-lisp-controller (7.4+nmu2) unstable; urgency=high

  * Non-maintainer upload.
  * Same as 7.4+nmu1, but also when preinst is invoked with `install'
    <old-version> (hopefully this really closes: #601957).

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 21 Nov 2010 21:50:39 +0100

common-lisp-controller (7.4+nmu1) unstable; urgency=high

  * Non-maintainer upload.
  * lisp-config.lisp is shipped as a conffile from 7.0 onwards, so when
    upgrading from earlier versions we have to remove the old auto-generated
    file, to avoid config file conflict (Closes: #601957). Setting urgency to
    high for RC bug.

 -- Serafeim Zanikolas <sez@debian.org>  Mon, 08 Nov 2010 20:13:35 +0100

common-lisp-controller (7.4) unstable; urgency=low

  * clc-lisp should run 'clbuild lisp'. (Closes: #593157)
  * unregister-common-lisp-{source,implementation} handle more characters
  * debian/control:
    + change Standards-Version to 3.9.1
    + depends on cl-asdf (>= 2:2.004-1)

 -- Desmond O. Chang <dochang@gmail.com>  Thu, 19 Aug 2010 23:37:48 +0800

common-lisp-controller (7.3) unstable; urgency=low

  * update manpage (Closes: #589185)
  * debian/copyright:
    + add copyright info about Luca and me
  * debian/control:
    + add me into Uploaders
    + change Standards-Version to 3.9.0
  * debian/source/format:
    + change source format to 3.0 (native)

 -- Desmond O. Chang <dochang@gmail.com>  Wed, 21 Jul 2010 18:44:15 +0800

common-lisp-controller (7.2) unstable; urgency=low

  * Call (asdf:clear-output-translations) and (asdf:clear-source-
    registry) prior to dumping. (Closes: #577210)
  * Use bash in clc-clbuild. (Closes: #572356)
  * Disable the output translations until we get more support from asdf
    This causes a 'configuration file change' warning, we'll try to 
    avoid this in the future.

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 19 Apr 2010 21:55:32 +0200

common-lisp-controller (7.1) unstable; urgency=low

  * Fixed typo in path. (Closes: #569841)
  * Use the new ASDF Output Translations for our requirements.
    (Closes: #568818)
  * Give a nice order to the configuration files
  * We now again remove specific directories
  * Use install not dh_install
  * We still have to remove all cached information because the asdf
    naming is not the naming that we use
  * This version works better with clisp. (Closes: #567912)
  * Silence removal of user/group. This should stop any debconf
    confusion. (Closes: #571626)
  * Added finish translation. (Closes: #564499)

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 27 Feb 2010 20:55:22 +0100

common-lisp-controller (7.0) unstable; urgency=low

  * Use the new asdf to do much of the hard lifting
    * The problem with that is that we cannot selectively
      clear the cache anymore, so we nuke it all
    * And that we have to use the cl-asdf not the build-in 
      one for sbcl 
  * Move configuration file generated by clc out of /etc/. 
    (Closes: #518605)
  * make clc quiet on clc. (Closes: #382430) (Finally!)
  * Add a cl-builder user again, so that we can:
    * add clc-clbuild wrapper that can be used to
      download clbuild packages
  * Updated standard version, no real changes

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 31 Jan 2010 21:07:52 +0100

common-lisp-controller (6.21) unstable; urgency=low

  * Renamed and exported clc:with-clc-active
  * Changed documentation to reflect clc:with-clc-active related
    changes. (Closes: #560781) by documenting it
  * Forgot that load-user-image-components also needs to use with-clc-
    active

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 30 Dec 2009 22:38:47 +0100

common-lisp-controller (6.20) unstable; urgency=low

  * forgot to change to lisp section
  * Fixed conflict with sbcl. (Closes: #535305)
  * After rereading section 7.3 of the policy, maybe Breaks is better

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 17 Sep 2009 20:59:48 +0200

common-lisp-controller (6.19) unstable; urgency=low

  * posix:getuid became linux:getuid for clisp
  * Updated Standards-Version no real changes
  * Fixed link to GPL v2
  * Make clc only active in clc calls. This should increase the
    compatibility with clbuild and friends

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 03 Sep 2009 05:11:51 +0100

common-lisp-controller (6.18) unstable; urgency=low

  * SBCL renamed sb-unix:unix-file-kind into sb-impl::native-file-kind
    so we change the code and add a conflict
  * normalize umask, Closes: #531439
  * Added Spanish debconf template translation, thanks Francisco Javier
    Cuadrado. (Closes: #520212)
  * Move to debhelper version 7
  * updated standard version without any real changes
  * use dh_prep instead of dh_clean -k

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 19 Jun 2009 06:27:48 +0200

common-lisp-controller (6.17) unstable; urgency=low

  * Debconf translations:
    + Swedish, thanks to Martin Bagge <brother@bsnet.se>
      (Closes: #491761).

 -- Luca Capello <luca@pca.it>  Sun, 27 Jul 2008 14:19:03 +0200

common-lisp-controller (6.16) unstable; urgency=low

  * Debconf template/translations update, thanks to Christian Perrier
    <bubulle@debian.org>:
    + Czech.
    + German.
    + Spanish.
    + Finnish.
    + French.
    + Galician.
    + Dutch.
    + Portoguese.
    + Russian.
    + Swedish.
    + Vietnamese.

  * debian/templates:
    + remove trailing space and correct typo, patch from
      Christian Perrier <bubulle@debian.org>.

 -- Luca Capello <luca@pca.it>  Wed, 09 Jul 2008 17:11:50 +0200

common-lisp-controller (6.15) unstable; urgency=low

  * Debconf translations:
    + Finnish, thanks to Esko Arajärvi <edu@iki.fi> (Closes: #457305).

  * debian/binary.lintian-overrides:
    + package-contains-empty-directory for /usr/lib/common-lisp/bin/
      and /usr/share/common-lisp/systems/.
    + non-standard-dir-perm for /var/cache/common-lisp-controller/.

  * debian/control:
    + add myself to Uploaders:.
    + add Vcs-Browser field.

  * debian/prerm:
    - remove, nothing to be done at that point (thanks to lintian)

  * debian/rules:
    + install binary.lintian-overrides file.

  * debian/source.lintian-overrides:
    + translated-default-field for debian/templates.

  * man/clc-register-user-package.1:
    + remove trailing spaces.
    + replace .Nm and .Nd commands since they generate man's warnings
      (thanks to lintian).
    + update Copyright to 2008.

  * post-sysdef-install.lisp:
    + use the built-in (posix:getuid) for CLISP instead of getting
      the UID from the USER environment variable, patch from Mark
      Wooding <mdw@distorted.org.uk>.
    + implement a working GET-UID for ECL which doesn't need to mess
      with running shell commands nor do redirection, patch from
      Mark Wooding <mdw@distorted.org.uk> (Closes: #477169).
    + use the real UID for Lisps that do not provide a built-in
      GET-UID, patch from Mark Wooding <mdw@distorted.org.uk>.

 -- Luca Capello <luca@pca.it>  Fri, 13 Jun 2008 10:02:24 +0200

common-lisp-controller (6.14) unstable; urgency=low

  * Fixed Vcs-Git field

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 18 Feb 2008 22:01:36 +0100

common-lisp-controller (6.13) unstable; urgency=low

  * Use Vcs-Bzr in control file
  * Accepted path from Joubert Nel to create module subdirectories as
    needed
  * Updated standard version without real changes
  * asdf changed its path, fix this.
  * Changed to group maintenance 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 09 Feb 2008 08:15:56 +0100

common-lisp-controller (6.12) unstable; urgency=low

  * Fixed debconf dependency for cdebconf (Closes: #441941)

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 16 Sep 2007 07:57:06 +0200

common-lisp-controller (6.11) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #428482
  * Debconf translation updates:
    - French. Closes: #432285
    - Czech. Closes: #429340
    - Portuguese. Closes: #429358
    - Galician. Closes: #429377
    - Vietnamese. Closes: #429904
    - Russian. Closes: #431097
    - German. Closes: #431138

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 10 Jul 2007 18:30:33 +0200

common-lisp-controller (6.10) unstable; urgency=low

  * Now use 'id' to get the uid. Fixes the problem is the
    UID not exported? (Closes: #418115)
  * Fixed some lintian warnings in the template file. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 25 Apr 2007 06:23:03 +0200

common-lisp-controller (6.9) unstable; urgency=low

  * Run debconf-updatepo in the clean target to ensure uptodate PO
    files. (from lintian)
  * Aded German po-debconf translation (Closes: #399207)

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri,  1 Dec 2006 09:05:25 +0100

common-lisp-controller (6.8) unstable; urgency=low

  * clc-register-user-package and friends now work again. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 30 Nov 2006 08:38:24 +0100

common-lisp-controller (6.7) unstable; urgency=low

  * Normalize HOME and locale in all scripts. This should fix the
    $HOME on NFS problem. (Closes: #395156)

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 12 Nov 2006 12:49:19 +0100

common-lisp-controller (6.6) unstable; urgency=low

  * Included some acl patches I found by accident at
    https://launchpad.net/distros/ubuntu/+source/common-lisp-controller/+bug/60835
  * modified S-X-Vcs-Darcs to XS-Vcs-Darcs field

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri,  6 Oct 2006 17:10:19 +0200

common-lisp-controller (6.5) unstable; urgency=low

  * The "pass the brown paper bag" release:
    strings are NOT EQ!

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  3 Oct 2006 15:39:48 +0200

common-lisp-controller (6.4) unstable; urgency=low

  * Undoing the fix for 384457, defaulting the *redirect-fasl-files-to-cache*
    variable to T.

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon,  2 Oct 2006 18:19:54 +0200

common-lisp-controller (6.3) unstable; urgency=low

  * Ignore source files beneath /usr/lib/
    (Closes: #382582)
  * Introduce the *redirect-fasl-files-to-cache* variable.
    If the value of this variable is true we redirect fasl files
    to the /var/cache directory. By default we will only redirect
    when compiling as the result of a clc-require call.
    (Closes: #384457)
  * Added po-debconf Build-Depends
  * Added XS-X-Vcs-Darcs header

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 25 Sep 2006 09:38:52 +0200

common-lisp-controller (6.2) unstable; urgency=low

  * Added debconf-updatepo to clean target
  * Included Portuguese translation for common-lisp-controller
    (Closes: #381375, #381374)
  * Updated standard version without real changes 

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon,  7 Aug 2006 07:35:13 +0200


common-lisp-controller (6.1) unstable; urgency=low

  * small ecl specific fix.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 17 May 2006 04:30:11 +0200

common-lisp-controller (6.0) unstable; urgency=low

  * small source fixes
  * If non-clc controlled files are compiled we now place them in
    /var/cache/common-lisp/<implementation>/local/<original path>

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 17 May 2006 01:14:27 +0200

common-lisp-controller (5.13) unstable; urgency=high

  * Fixed pre-installation script error (Closes: #359761)

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 29 Mar 2006 05:23:40 +0200

common-lisp-controller (5.12) unstable; urgency=low

  * Fix asdf issues with new sbcl 0.9.11.0, use the
    native sbcl asdf version.
  * system-fasl-filename is only needed on ecl,
    makes clc on sbcl much more silent.
    (Closes: #357842)
  * Silenced find error message on upgrade from 
    4.27. Reported by Martin Schulze.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 28 Mar 2006 09:51:20 +0200

common-lisp-controller (5.11) unstable; urgency=low

  * New ecl related fixes.
  * Main common-lisp-controller manpage.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 15 Mar 2006 21:45:49 +0100

common-lisp-controller (5.10) UNRELEASED; urgency=low

  [ Peter Van Eynde ]

  * Split up compiling, loading and initialization
    for the benefit of 'create new image with these
    files' implementations like ecl.
  * fix /sbin /usr/bin confusion in register-common-lisp-source
    and unregister-common-lisp-source
  * Slight ecl compile-file-pathname related fixes
  * fix /sbin /usr/bin confusion in register-common-lisp-source
    and unregister-common-lisp-source
  * Slight ecl compile-file-pathname related fixes
  * We need to load and compile common-lisp-controller too.

  [ René van Bevern ]

  * Use user IDs to determine the location of the FASL cache instead of
    home dirs, because multiple users might have the same home dir and
    therefore would end up with the same FASL cache, what CLC won't let
    them do. post-sysdef-install.lisp:

    + split get-uid-mode-and-my-uid into get-owner-and-mode and get-uid
    + caclulate-fasl-root uses get-uid to build up *fasl-root*

  * Some more code reuse to get rid of the duplicate
    check-spooldir-security. post-sysdef-install.lisp:

    + add group-writable? and world-writable? for clisp and others
    + add get-owner-and-mode, get-uid, make-secure-cache-directory for clisp
    + Have only one check-spooldir-security using the generic functions above

  * You can now customize each implementation's default images by
    giving a list of ASDF systems to include in
    /etc/common-lisp/images/$implementation-name

    + Load desired systems at image creation

      - post-sysdef-install.lisp: add function load-user-image-components,
        that loads the systems as said above

        + for ECL, its ASDF operation build-op is used to compile systems
          natively and a list of .o files is returned that shall be linked
          into the image

      - common-lisp-controller.lisp: set path for image settings and call
        load-user-image-components in CLC compilation phase

    + recreate images if new lisp source is installed, handle updates
      - clc-update-customized-images: new script to recreate an
        implementation's image if the system given at the command line is
        desired to be part of it
      - (un)register-common-lisp-source: call clc-update-customized-images
      - debian/rules: install clc-update-customized-images to /usr/sbin

    + debian/README.Debian: document the whole thing

  * enough for one evening, I'm getting some coffee

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 18 Jan 2006 07:34:32 +0100

common-lisp-controller (4.27) unstable; urgency=low

  * clisp changed a posix function.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  7 Dec 2005 07:48:59 +0100

common-lisp-controller (4.26) unstable; urgency=medium

  * Check the return code of the configuration
    of the lisp implementation. Otherwise it might fail but
    the implementation will claim to be 'configured'.
    Closes: #338529
    Medium urgency because this can cause the build of other
    packages to fail seemingly without reason.

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 18 Nov 2005 20:59:57 +0100

common-lisp-controller (4.25) unstable; urgency=low

  * restore quote in adding the users system directory,
    so the users directory will be added, and not just
    root.
  * Added clc:list-systems function
  * Moved functions round to avoid 'unknown function
    INIT-COMMON-LISP-CONTROLLER-V4


 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 16 Nov 2005 19:37:07 +0100

common-lisp-controller (4.24) unstable; urgency=low

  * Push :common-lisp-controller and :clc-os-debian on *features*
  * Put the users' system files at the front of the locations
    to be searched list.
  * fixed typo in post-sysdef-install.lisp (Closes: #338271)
  * give better error messages when checking of permissions 
    of the output directory (Closes: #329347)

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 10 Nov 2005 10:09:10 +0100

common-lisp-controller (4.23) unstable; urgency=low

  * Export calculate-fasl-root for slime
  * Fixed calculate-fasl-root to not reply NIL 

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 24 Oct 2005 20:49:49 +0200

common-lisp-controller (4.22) unstable; urgency=low

  * token new verion

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 21 Oct 2005 17:43:38 +0200

common-lisp-controller (4.21) unstable; urgency=low

  * [INTL:sv] Swedish debconf templates translation (Closes: #334189)
    from Daniel Nylander
  * Spanish debconf translation (Closes: #334550)
  * reduce priority of common-lisp-control's asdf repository 
    (Closes: #334406)
    Even if it affects Gentoo :-)

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 21 Oct 2005 06:01:51 +0200

common-lisp-controller (4.20) unstable; urgency=low

  * René van Bevern
    + debian/preinst: specify -depth as first argument to find (Closes: #331160)

  * Added *clc-quiet* parameter to make clc work without 
    printing messages, mainly for CL applications.

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon,  3 Oct 2005 08:38:57 +0200

common-lisp-controller (4.19) unstable; urgency=low

  * From Kevin Rosenberg: improved allegro checks.
  * Remove /var/cache/common-lisp-controller on purge.
    Closes: #328490
  * Conflict with older clisps that do not have the posix package.

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 29 Sep 2005 08:51:15 +0200

common-lisp-controller (4.18) unstable; urgency=high

  * From Kevin Rosenberg: it should be #o22, not #x22!
    Better fix for CAN-2005-2657

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun,  4 Sep 2005 21:56:54 +0200

common-lisp-controller (4.17) unstable; urgency=high

  René van Bevern:
    * install clc-register-user-package and clc-unregister-user-package
      to /usr/bin instead of /usr/sbin
  Peter Van Eynde:
    * Use pushnew when modifying the *central-registry*, from a suggestion
      by François-René Rideau.
    * Also from Faré: check if we are the owner of the cache directory
      as this could be used to let other users run code you planted
      for them. This does is a grave security issue. Fixes:
      CAN-2005-2657
    * Improved the portability of the security fix with the help of 
      Kevin Rosenberg. But clc now depends on perl...

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun,  4 Sep 2005 09:56:58 +0200

common-lisp-controller (4.16) unstable; urgency=low

  * Now uses darcs
  * Updated standard version
  * Remove /etc/lisp-config.lisp on purge. Closes: #319163
  * Added ${misc:Depends}, fixing debconf2 and cdebconf problems. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  3 Aug 2005 10:58:02 +0200

common-lisp-controller (4.15) unstable; urgency=low

  * Added Vietnamese translation for debconf. Closes: #310034 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 21 May 2005 16:02:40 +0200

common-lisp-controller (4.14) unstable; urgency=low

  * Corrected user system search path for sbcl. Closes: #307161

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  3 May 2005 11:53:00 +0200

common-lisp-controller (4.13) unstable; urgency=low

  * Added Czech translation from Martin Šín.

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 21 Apr 2005 14:18:15 +0200

common-lisp-controller (4.12) unstable; urgency=low

  * Make clc:clc-require also work for user-supplied packages. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 19 Oct 2004 10:27:05 +0200

common-lisp-controller (4.11) unstable; urgency=low

  * Added support for clc-register-user-package again. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 29 Sep 2004 23:49:16 +0200

common-lisp-controller (4.10) unstable; urgency=low

  * Fixed regexp for source uninstallation. Closes: #272679.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 21 Sep 2004 14:41:38 +0200

common-lisp-controller (4.9) unstable; urgency=low

  * Fixed regexp for implementation removal. Closes: #271319. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 13 Sep 2004 07:13:03 +0200

common-lisp-controller (4.8) unstable; urgency=low

  * Remembered that we actually have all the versions
    of the cronjob in the sf cvs. Got them and their
    md5sums.
  * Shutup an rm during install Closes: #264491.

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon,  9 Aug 2004 11:11:40 +0200

common-lisp-controller (4.7) unstable; urgency=low

  * Also recognise an older cronjob. Closes: #263863. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun,  8 Aug 2004 00:15:53 +0200

common-lisp-controller (4.6) unstable; urgency=low

  * unregister-common-lisp-implemention: Fix implementation name checking regex

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  4 Aug 2004 17:57:39 -0600

common-lisp-controller (4.5) unstable; urgency=low

  * Forgot to use a CVS export! 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  4 Aug 2004 22:59:17 +0200

common-lisp-controller (4.4) unstable; urgency=low

  * Fixed stupid typo in preinst. Closes: #263087 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  3 Aug 2004 13:51:17 +0200

common-lisp-controller (4.3) unstable; urgency=low

  * Forgot to remove old cronjob file. Closes: #262677
  * Corrected the preinst script. Closes: #262914
  * Corrected the file to load in the design document.

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon,  2 Aug 2004 18:38:38 +0200

common-lisp-controller (4.2) unstable; urgency=low

  * Stupid error: we should reinstall clc when
    we upgrade a implementation.
  * Stupid error2: fixed typo in package alias and
    the use of the old alias in post-sysdef-install.lisp
  * Now we clean the correct directory: /var/cache/common-lisp-controller
    not /var/cache/common-lisp
  * Slight license change: now LLGPL'ed.
  * This version should fix almost all problems.
    Closes: #197649, #261757, #231031
    By removing complexity
    Closes: #260069
    By not having a cronjob anymore
    Closes: #128761
    Because the user can set options for his lisp that
    then get used for the compilation.
  * Fixed quoting problem that prevented the removal of 
    cached fasl's.

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 30 Jul 2004 17:51:34 +0200

common-lisp-controller (4.1) experimental; urgency=low

  * Fixed syntax error. Closes: #261757
  * New clc-build-all-packages to rebuild all known systems.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 28 Jul 2004 21:45:19 +0200

common-lisp-controller (4.0) experimental; urgency=low

  * Test upload

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 26 Jul 2004 16:30:06 +0200

common-lisp-controller (3.88) unstable; urgency=low

  * Don't run the cronjob if we are removed. Closes: #239108
  * Removed bash-ism from the cronjob. Closes: #241985
  * Added french and dutch translations. Closes: #227063, #241429
  * Moved the connect request, so the syslog is not filled
    with "clc-build-daemon: error: eof on read: Success"
    junk.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  7 Apr 2004 14:45:36 +0200

common-lisp-controller (3.87) unstable; urgency=low

  * Add sbcl-mt to known CL implementations (closes:238550)

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 17 Mar 2004 10:02:10 -0700

common-lisp-controller (3.86) unstable; urgency=low

  * Add --force-connect to clc-send-command invocation

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 16 Mar 2004 10:42:04 -0700

common-lisp-controller (3.85) unstable; urgency=low

  * We don't need to use sudo as we are root anyway. Closes: #231008 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  4 Feb 2004 23:09:19 +0100

common-lisp-controller (3.84) unstable; urgency=medium

  * The spool directory should be world-writable to be any good! 
    This could cause problems for real users and possibly build daemons.

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon,  2 Feb 2004 16:40:31 +0100

common-lisp-controller (3.83) unstable; urgency=low

  * cleanup wrongfully compiled files from previus versions. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 24 Dec 2003 14:35:00 +0100

common-lisp-controller (3.82) unstable; urgency=high

  * Improved validation of the spool files. Could be a securtity problem I
    guess. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 24 Dec 2003 10:07:44 +0100

common-lisp-controller (3.81) unstable; urgency=low

  * Reversed order of the tests, so no more 'Looping' messages
    in the cronlog. Closes: #224772
  * Refactoring of the clc-send-command code. Hopefully it still works. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 22 Dec 2003 12:29:01 +0100

common-lisp-controller (3.80) unstable; urgency=low

  * New feature: when the daemon is not reachable we 
    create a request in a spool directory. Once a day we 
    retry to do all logged requests. As we remove the 
    offender, Closes: #183649
  * Still Closes: #221552

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 19 Dec 2003 23:46:09 +0100

common-lisp-controller (3.79) unstable; urgency=low

  * Fix bug when HOME environmental variable has a terminal /

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 12 Dec 2003 23:41:43 -0700

common-lisp-controller (3.78) unstable; urgency=low

  * Add ~/.clc/systems/ to asdf:central-registry*

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun,  7 Dec 2003 22:24:32 -0700

common-lisp-controller (3.77) unstable; urgency=low

  * Compile our own files to the fasl dir. Closes: #221552 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 25 Nov 2003 17:02:15 +0100

common-lisp-controller (3.76) unstable; urgency=low

  * Fixed typo in template file. Closes: #201469
  * Now we use gettext-based debconf. Closes: #205815, #207112 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 16 Sep 2003 12:02:51 +0200

common-lisp-controller (3.75) unstable; urgency=low

  * Add #\. to the allowedcharacters for library names

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 22 Aug 2003 23:43:11 -0600

common-lisp-controller (3.74) unstable; urgency=low

  * Fix caching logic for loading user-packages.db

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 17 Aug 2003 13:52:26 -0600

common-lisp-controller (3.73) unstable; urgency=low

  * Move confmodule call in postinst to see if that helps with postrm's
  failure.
  * Fix output redirection (closes:204054)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun,  3 Aug 2003 22:57:22 -0600

common-lisp-controller (3.72) unstable; urgency=low

  * postrm: expand #DEBHELPER#. Tried using "|| true" to avoid debconf errors 
  codes, but without sucess. For now, avoiding purge with debconf since I
  can't get debconf to purge without errors. debconf bug filed.
  (closes:204048)  

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun,  3 Aug 2003 21:23:18 -0600

common-lisp-controller (3.71) unstable; urgency=low

  * Yes another attempt to work around bug #183960

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 31 Jul 2003 01:55:19 -0600

common-lisp-controller (3.70) unstable; urgency=low

  * Move debconf initialization line in postinst to work aroung
  bug #183960

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 28 Jul 2003 23:46:07 -0600

common-lisp-controller (3.69) unstable; urgency=low

  * Push correct directory onto system registry (closes:202713)

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 24 Jul 2003 09:49:27 -0600

common-lisp-controller (3.68) unstable; urgency=low

  * common-lisp-controller.lisp: eliminate internal dependence on
  logical pathnames

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 20 Jul 2003 19:27:19 -0600

common-lisp-controller (3.67) unstable; urgency=low

  * Now clc-send-command can handle a clc-build-daemon
    that is being reconfigured. Closes: #188132
    Should also fix this report. Closes: #198901

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 26 Jun 2003 15:47:08 +0200

common-lisp-controller (3.66) unstable; urgency=low

  * Fixed error reporting script: forgot a `.
  * make the daemon report the failed package. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 17 Jun 2003 03:00:23 +0200

common-lisp-controller (3.65) unstable; urgency=low

  * Implement a work-round for the user-adduser-in-postrm
    problem. Thanks to Thomas Viehmann. Closes: #192297
  * Improves error reporting script again.
  * Fixed declaration of system-directory in add-project-directory.
    Closes: #193611
  * We fixed lisp-config in version 3.62. Closes: #195420

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 13 Jun 2003 06:27:09 +0200

common-lisp-controller (3.64) unstable; urgency=low

  * add check for possible errors from asdf::resolve-symlinks

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 28 May 2003 15:37:14 -0600

common-lisp-controller (3.63) unstable; urgency=low

  * Improve user packages support: add symbolic links to ~/.clc/systems;
  add this directory to ASDF's search function list
  * Remove multiline strings for gcc-3.3 (closes:194886)
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 27 May 2003 10:35:55 -0600

common-lisp-controller (3.62) unstable; urgency=low

  * Removed /etc/lisp-config.lisp as it is generated at config time.
    Closes: #188065
  * Don't forget to remove the file on purge of course :-).
  * There _is_ a problem with xinetd, see bug #176464, so
    the conflict is here to stay for the moment :-).
    Closes: #162171

 -- Peter <pvaneynd@debian.org>  Thu,  8 May 2003 23:29:27 +0200

common-lisp-controller (3.61) unstable; urgency=low

  * Check that comp-dir is at least as long as root dir in 
  beneath-source-root?
  * Minor typo correction in templates

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 24 Apr 2003 22:26:23 -0600

common-lisp-controller (3.60) unstable; urgency=low

  * register-common-lisp-implementation: Rebuild .asd-based packages
  are rebuilt as well as .system packages.

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 12 Apr 2003 12:09:59 -0600

common-lisp-controller (3.59) unstable; urgency=low

  * Added a conflict with xinetd. Not the best solution I know.
  * Removed debhelper version statement from debian/rules 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  8 Apr 2003 18:39:19 +0200

common-lisp-controller (3.58) unstable; urgency=low

  * Use :: instead of : when testing for presence of
    sb-ext::*module-provider-functions* (closes:186059)

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 24 Mar 2003 09:45:36 -0700

common-lisp-controller (3.57) unstable; urgency=low

  * Improved error reporting script :-(
  * Added Pre-depends on netkit-inetd as this seems to be the 
    cause of the build-failures...

 -- Peter <pvaneynd@debian.org>  Tue,  4 Mar 2003 21:56:59 +0100

common-lisp-controller (3.56) unstable; urgency=low

  * Rename remove-defsystem to remove-clc, install-defsystem to
    install-clc

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue,  4 Mar 2003 21:52:57 -0700

common-lisp-controller (3.55) unstable; urgency=low

  * Add ~/.sbcl/systems/ to asdf:*central-registry*
  * Have asdf:*central-registry* processing evaluate each entry

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  3 Mar 2003 15:12:55 -0700

common-lisp-controller (3.54) unstable; urgency=low

  * Add support for SBCL's REQUIRE/contrib directories integration

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  3 Mar 2003 12:14:57 -0700

common-lisp-controller (3.53) unstable; urgency=low

  * Work-around mk-defsystem's override of CL:REQUIRE for SBCL

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat,  1 Mar 2003 19:16:20 -0700

common-lisp-controller (3.52) unstable; urgency=low

  * Have clc-send-command return a zero status if trying to remove a
  library that is not compiled.
  * Don't override CL:REQUIRE for SBCL, instead use SBCL's new REQUIRE
  hook
  * debian/control: Added Depends: ${shlibs:Depends} since linked to libc
  * debian/rules: Uncommented dh_makeshlibs

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 14 Feb 2003 18:36:09 -0700

common-lisp-controller (3.51) unstable; urgency=low

  * Found the root cause of a bug that seems to undo the
    clc installation in cmucl. Now we warn for this. Closes: #174454
  * Added the debug-daemon-problems.sh script.. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun,  9 Feb 2003 18:16:50 +0100

common-lisp-controller (3.50) unstable; urgency=low

  * Change package for REQUIRE with OpenMCL

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun,  2 Feb 2003 22:36:00 -0700

common-lisp-controller (3.49) unstable; urgency=low

  * clc-build-daemon.c, clc-send-command.c: Change hard-coded constant in
    TCP protocol (6) to SOL_SOCKET in calls to setsockopt to be compatible
    with Linux kernel 2.2

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 23 Dec 2002 10:19:12 -0700

common-lisp-controller (3.48) unstable; urgency=low

  * Depend on newest version of cl-asdf

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  9 Dec 2002 10:28:25 -0700

common-lisp-controller (3.47) unstable; urgency=low

  * Updates for new ASDF system. Get rid of 'load-compiled-op

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  2 Dec 2002 09:27:11 -0700

common-lisp-controller (3.46) unstable; urgency=low

  * Export new function: source-root-path-to-fasl-path

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun,  10 Nov 2002 23:43:00 -0700

common-lisp-controller (3.45) unstable; urgency=low

  * Fix typos (closes: 168326) (closes: 168328)
  Thanks Matthias Koppe!

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri,  8 Nov 2002 12:04:06 -0700

common-lisp-controller (3.44) unstable; urgency=low

  * Fix spelling error in clc-build-daemon.c
  * Add version to control file's adduser depends.
  * Add user package support for ASDF

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 19 Oct 2002 13:24:25 -0600

common-lisp-controller (3.43) unstable; urgency=low

  * Strange bugfix needed to get asdf to play nice with the fix for
    bug #163990.

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 17 Oct 2002 23:05:29 +0200

common-lisp-controller (3.42) unstable; urgency=low

  * Add SCL reader conditional to /etc/lisp-config.lisp
  * clc-autobuild-only, clc-autobuild-library: Add SCL to known implementations

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 18 Oct 2002 00:10:47 -0600

common-lisp-controller (3.41) unstable; urgency=low

  * Fixes faulty loaded system detection. Closes: #164666
  * Now handles require's inside systems. Closes: #163990 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 16 Oct 2002 21:26:23 +0200

common-lisp-controller (3.40) unstable; urgency=low

  * Export clc-require from c-l-c package
  * Change {install,remove}-defsystem invocations to {install,remove}-clc now 
  that all CL packages have switched to the new name.

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  9 Oct 2002 05:27:10 -0600

common-lisp-controller (3.39) unstable; urgency=low

  * Remove the :cltl2 item that mk-defsystem3 pushes onto cl:*features*
  (closes: #146504)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat,  5 Oct 2002 11:43:34 -0600

common-lisp-controller (3.38) unstable; urgency=high

  * Add version depends of cl-asdf

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri,  4 Oct 2002 12:00:46 -0600

common-lisp-controller (3.37) unstable; urgency=high

  * Add program arguments to inetd.conf (closes: 162171)

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue,  1 Oct 2002 07:33:02 -0600

common-lisp-controller (3.36) unstable; urgency=low

  * Change 'load-compiled-op 

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 30 Sep 2002 05:52:06 -0600

common-lisp-controller (3.35) unstable; urgency=low

  * NMU
  * Fix typo in manpage symlinks (closes: 162736)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 29 Sep 2002 08:12:10 -0600

common-lisp-controller (3.34) unstable; urgency=low

  * NMU
  * Add required wrapper when redefining openmcl's REQUIRE function.
  (OpenMCL now supports CLC!)
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 26 Sep 2002 15:45:31 -0600

common-lisp-controller (3.33) unstable; urgency=low

  * NMU
  * Fix type if clc-autobuild-check
  * Add check in preinst to avoid adding cl-builder user if already exists
  in passwd file.

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 26 Sep 2002 00:05:33 -0600

common-lisp-controller (3.32) unstable; urgency=low

  * NMU
  * Improve logic in clc-autobuild-check

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 25 Sep 2002 22:23:20 -0600

common-lisp-controller (3.31) unstable; urgency=low

  * NMU
  * Add check in clc-autobuild-check for empty file

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 25 Sep 2002 20:54:58 -0600

common-lisp-controller (3.30) unstable; urgency=low

  * NMU
  * Fix a few typographical errors in command invocations
  * Rework manpage symlinks to get rid of lintian warnings
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 25 Sep 2002 17:09:17 -0600

common-lisp-controller (3.29) unstable; urgency=low

  * NMU
  * Add README.packaging file
  * Further simplify autobuild names
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 25 Sep 2002 09:02:08 -0600

common-lisp-controller (3.28) unstable; urgency=low

  * NMU
  * Rename some autobuild functions
  * Move autobuild functions into /usr/bin

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 25 Sep 2002 08:37:05 -0600

common-lisp-controller (3.27) unstable; urgency=low

  * NMU
  * Change clc-build-daemon.c so it will try to recompile files
  if the binary directory exists, but has no files in it 
  * New autobuilding system, described in README.autobuild
  * Add new commands: clc-check-autobuild, clc-only-compatible,
  clc-not-compatible, clc-autobuild-library, clc-autobuild-impl
  * Rename reregister-common-lisp-implementations to clc-reregister-all-impl
  * Rename some "defsystem" strings to "clc"
  * Change sh to bash invocation in postinst
  * Rework rules file to use dh_install rather than install
  * Remove copyright-defsystem and defsystem.text from package
  * Change how original-require function is called (to better support clisp)
   
 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 22 Sep 2002 14:09:04 -0600

common-lisp-controller (3.26) unstable; urgency=low

  * NMU
  * Call asdf::resolves-symlinks so that truename as far as ASDF thinks is
    the same as CLC's. Helps when the filesystem's *source-root* is
    symlinked.

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 20 Sep 2002 16:29:13 -0600

common-lisp-controller (3.25) unstable; urgency=low

  * NMU
  * Remove (send-clc-command :remove pkg) before recompiling a package

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 20 Sep 2002 10:52:51 -0600

common-lisp-controller (3.24) unstable; urgency=low

  * NMU
  * Remove make-wild-type-namestring since it doesn't help anything and 
  it causes trouble with clisp.
  * Add support for clisp's handling of LPNs in compile-and-load command. 

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 19 Sep 2002 12:39:23 -0600

common-lisp-controller (3.23) unstable; urgency=low

  * NMU
  * Rework asdf loading of compiled-only files. Now loads asdf
    sub-systems.

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 18 Sep 2002 12:40:58 -0600

common-lisp-controller (3.22) unstable; urgency=low

  * NMU
  * Rework output-files for asdf systems to handle loading of dependent
    systems.

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 18 Sep 2002 11:42:55 -0600

common-lisp-controller (3.21) unstable; urgency=low
  
  * NMU
  * Change handling of asdf files to that they don't require :pathname
  to be specified.
  * Add information to FAQ.txt about using ASDF system definitions

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 16 Sep 2002 08:40:36 -0600

common-lisp-controller (3.20) unstable; urgency=low

  Peter Van Eynde <pvaneynd@debian.org>:
  * Add type of ".*" to source namestring for logical pathnames (Kevin M.
    Rosenberg)

  Kevin M. Rosenberg <kmr@debian.org>:
  * NMU
  * Add type of ".*" to source namestring for logical pathnames
  * Add reregister-common-lisp-implementations function and manpage
  * Fix bug with compiling mk-defsystem3 based packages
  * Remove obsolete variables from changelog
  * Add version to Build-Depends: for debhelper
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 16 Sep 2002 08:21:13 -0600

common-lisp-controller (3.19) unstable; urgency=low

  * Add cl-defsystem3 as a Depends (critital fault, found and fixed by Kevin
    Rosenberg)

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 11 Sep 2002 11:23:36 +0200

common-lisp-controller (3.18) unstable; urgency=low

  * Remove calls to mk:new-require to remove an unecessary dependency on
    mk-defsystem3. Use c-l-c's orignal-require function instead.
    (Kevin Rosenberg)
  * Move grabbing of original implementation REQUIRE function to
    pre-defsystem file. (Kevin Rosenberg)
  * Bug fixes for Lispworks. (Kevin Rosenberg)
  * Add preliminary asdf support. (Kevin Rosenberg)
  * CLC-REQUIRE now calls original REQUIRE function if system
    file is not found (Kevin Rosenberg)
  * Remove defsystem.lisp file from this package and now depend
    on Debian package cl-defsystem3 (Kevin Rosenberg)
  * Upstream fix for :cltl2 symbol. Closes: #146504

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 11 Sep 2002 10:59:37 +0200

common-lisp-controller (3.17) unstable; urgency=low

  * Include the name of the implementation/library in the email.
  * Fixed add-project-directory

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 24 Aug 2002 07:57:47 +0200

common-lisp-controller (3.16) unstable; urgency=low

  * Make certain the /usr/lib/common-lisp/<implementation> directories are
    also owned by cl-builder.

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu,  8 Aug 2002 08:10:30 +0200

common-lisp-controller (3.15) unstable; urgency=low

  * deluser fix. Thanks to ham[home]

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  7 Aug 2002 11:32:46 +0200

common-lisp-controller (3.14) unstable; urgency=low

  * Added adduser dependency 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  7 Aug 2002 10:53:19 +0200

common-lisp-controller (3.13) unstable; urgency=low

  * added common-lisp-controller:compile-library as placeholder for future
    asdf and defsystem-v4 packages and to fix the "no such system" problem.
  * increased recorded line length as sbcl gives very verbose errormessages. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  6 Aug 2002 23:11:40 +0200

common-lisp-controller (3.12) unstable; urgency=high

  * When compiling a package, first compile it sub-systems!
    A rather critical bug that breaks a lot of packages!
    The problem is like this: we need to recompile package A.
    So we mkdir and chown /usr/lib/common-lisp/<impl>/A
    Then we become nobody. But system A :depends-on B.
    B is not compiled yet, so we need to recompile it.
    So we try to mkdir /usr/lib/common-lisp/<impl>/B _as
    nobody_. Oeps. (example: cmucl-clm depends-on cmucl-clx)

    To solve this we introduct the cl-builder user that owns all
    the files.
  * Patch from Kevin Rosenberg to avoid getting killed by inetd's 
    DoS protection.

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon,  5 Aug 2002 09:17:29 +0200

common-lisp-controller (3.11) unstable; urgency=low

  * Oeps. 10 seconds after upload: unregister-common-lisp-source should not
    fail on  a true source/ directory. Thanks to Kevin Rosenberg 

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri,  2 Aug 2002 08:05:50 +0200

common-lisp-controller (3.10) unstable; urgency=low

  * Email the last few lines of output even when using --quiet

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri,  2 Aug 2002 07:32:28 +0200

common-lisp-controller (3.9) unstable; urgency=low

  * Improved the error reporting via email, now shows the last few lines
    generated by the failed build.
  * Now can handle nested directories in lisp libraries.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 30 Jul 2002 07:22:59 +0200

common-lisp-controller (3.8) unstable; urgency=low

  * Added workaround for eof on read problem.
  * Fixed escapes again. Now with compatible syntax.
  * Added patches from Kevin Rosenberg <kevin@rosenberg.net>
    for lwl and acl compatibility.
  * Now depends on netbase. Closes: #154285 

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 26 Jul 2002 13:47:08 +0200

common-lisp-controller (3.7) unstable; urgency=low

  * added REPORTING-BUGS file
  * Fixed typo. Closes: #153082 

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 19 Jul 2002 14:04:15 +0200

common-lisp-controller (3.6) unstable; urgency=low

  * Better fix for bug 152508 thanks to Kalle Olavi Niemitalo.
  * Also escape \ Closes: #152508 

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 15 Jul 2002 08:57:15 +0200

common-lisp-controller (3.5) unstable; urgency=low

  * Fixed typos in installation scripts. Closes: #152419
  * Added escape characters for " in site-names. Closes: #152508
  * Fixed typo in unregister-common-lisp-source. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 11 Jul 2002 09:25:56 +0200

common-lisp-controller (3.4) unstable; urgency=high

  * Damn. #151983 was caused by having a ipv6 inetd installed :-(.
    Fixing problem this time... for real!
  * Put site-names in correct package! Closes: #152202.
  * Give up groups too. (possible security problem?)
  * drop fake dependency. Closes: #152359.
  * add HOME to the env. so sbcl works again. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  9 Jul 2002 10:38:54 +0200

common-lisp-controller (3.3) unstable; urgency=low

  * Now replaces cmucl. I hope this is the right thing to do.
    (Closes: #151920, #152101)
  * Added dependancy on netkit-inetd with @host support.
    Closes: #151983.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun,  7 Jul 2002 20:12:13 +0200

common-lisp-controller (3.2) unstable; urgency=low

  * Provide some feedback during registration so people don't wonder what the
    wait is for.

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri,  5 Jul 2002 06:59:30 +0200

common-lisp-controller (3.1) unstable; urgency=high

  * Fixed the terpi -> terpri bug

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu,  4 Jul 2002 17:06:28 +0200

common-lisp-controller (3.0) unstable; urgency=low

  * Don't forget to downcase the package name

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  2 Jul 2002 20:32:30 +0200

common-lisp-controller (2.99) unstable; urgency=low

  * Now with clc-build-daemon: build lisp packages when you need them!
  * Now with debconf configuration system
  * repositories is depricated!
  * man pages
  * Still Closes: #146504
  * Updated defsystem. Closes: #145349 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 22 Jun 2002 23:40:27 +0200

common-lisp-controller (2.15) unstable; urgency=low

  * Small fix from  Frederic Dumont <frederic.dumont@easynet.be> for
    add-project-directory.
  * Included patch from Christophe Rhodes for defsystem 
    Closes: #146504

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 14 May 2002 16:15:49 +0200

common-lisp-controller (2.14) unstable; urgency=low

  * Don't depend on a lisp-compiler.
    Closes: #140979, #141482, #142497

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 14 Apr 2002 12:23:27 +0200

common-lisp-controller (2.13) unstable; urgency=low

  * Now depends on lisp-compiler

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 29 Mar 2002 21:39:29 +0100

common-lisp-controller (2.12) unstable; urgency=low

  * Fixed "Done " message for u-c-l-s 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 29 Dec 2001 20:59:54 +0100

common-lisp-controller (2.11) unstable; urgency=low

  * Now u-c-l-i also calls remove-defsystem. Closes: #123617
  * OpenMCL patches. Closes: #123621

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 12 Dec 2001 21:05:43 +0100

common-lisp-controller (2.10) unstable; urgency=high

  * Fixed major logical pathname problem.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 20 Nov 2001 20:35:36 +0100

common-lisp-controller (2.9) unstable; urgency=high

  * Fixed add-project-directory
  * New, updated defsystem
    Fixes: #118854
  * Should have lintian overrides:
    Fixes: #96107, #103892
  * Banners fixed.
    Fixes: #119875

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 17 Nov 2001 11:07:57 +0100

common-lisp-controller (2.8) unstable; urgency=low

  * Now includes italian translation 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun,  2 Sep 2001 21:40:59 +0200

common-lisp-controller (2.7) unstable; urgency=low

  * Includes MCL fixes. Fixes: #99882.
  * Includes UID fix. Fixes: #107037

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  8 Aug 2001 13:58:23 +0200

common-lisp-controller (2.6) unstable; urgency=low

  * Forgotten comments of last time:
  * Skipped 2.4 due to cClan problems
  * Now with sbcl fixes

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 10 Jul 2001 21:44:34 +0200

common-lisp-controller (2.5) unstable; urgency=low

  * 

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu,  5 Jul 2001 08:09:06 +0200

common-lisp-controller (2.3) unstable; urgency=low

  * Now includes patch from Rhodes: Fixes: #103467 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  4 Jul 2001 15:45:00 +0200

common-lisp-controller (2.2) unstable; urgency=low

  * Now conflicts with olders cmucl's

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  4 Jul 2001 14:15:43 +0200

common-lisp-controller (2.1) unstable; urgency=low

  * Rebuild for dpkg-dev problems.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  3 Jul 2001 08:12:39 +0200

common-lisp-controller (2.0) unstable; urgency=low

  * Now with new target: install-defsystem.
  * Now allows normal file targets, fixes: #97257
  * Now knows about .c files. Fixes: #97258
  * Note that -noinit should be used. Fixes: #99255
  * Fixed sbcl buglet. Fixes: #99403
  * Made the de-registering idempotent. Thanks for the idea Dan!

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 27 Jun 2001 13:43:24 +0200

common-lisp-controller (1.6) unstable; urgency=low

  * Now for all architectures. Fixes: #96769 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  9 May 2001 17:41:38 +0200

common-lisp-controller (1.5) unstable; urgency=low

  * changed copyright to LGPL
  * Fixed typo

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  9 May 2001 17:41:15 +0200

common-lisp-controller (1.4) unstable; urgency=low

  * Just remove the subtree of a compiler. This seems a better idea.
  * Added examples for hemlock and stuff.
  * Added banners.
  * defsystem is now a part of common-lisp-controller
  * Fixed -f problem, now is -r thanks to rahul on #lisp 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  1 May 2001 12:37:49 +0200

common-lisp-controller (1.3) unstable; urgency=low

  * Added bash dependency

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 20 Feb 2001 21:56:55 +0100

common-lisp-controller (1.2) unstable; urgency=low

  * The scripts should be executable you dofus!

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 12 Feb 2001 20:38:21 +0100

common-lisp-controller (1.1) unstable; urgency=low

  * Fixed missing clean target.
  * Now installs in correct directory, Fixes: Bug#85355.
  * Now includes programs :-) Fixes: Bug#85310. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 11 Feb 2001 16:50:03 +0100

common-lisp-controller (1.0) unstable; urgency=low

  * Initial Release.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 12 Sep 2000 08:05:34 +0200


